<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'luzuk-premium' ),
        // 'panel' => 'luzuk_premium_home_panel'
		'priority' =>20
	)
);

addColorPalatOption($wp_customize, 'lk_cont_bxbgClr1', 'luzuk_premium_contactus_section', 'Box BG Color 1', '#000');

addColorPalatOption($wp_customize, 'lk_cont_bxbgClr2', 'luzuk_premium_contactus_section', 'Box BG Color 2', '#021B79');


$wp_customize->add_setting(
        'contactus_form_heading2',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'contactus_form_heading2',
        array(
            'settings'      => 'contactus_form_heading2',
            'section'       => 'luzuk_premium_contactus_section',
            'label'         => __( 'Form Setting ', 'luzuk-premium' ),
        )
    )
);


$wp_customize->add_setting(
	'luzuk_contactus_shortcode_lbl',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Inquiry with us', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode_lbl',
	array(
		'settings'      => 'luzuk_contactus_shortcode_lbl',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Box Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_shortcode',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '[your Shortcode]' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode',
	array(
		'settings'      => 'luzuk_contactus_shortcode',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Form Shortcode Here', 'luzuk Premium' )
	)
);


addColorPalatOption($wp_customize, 'luzuk_contactus_formVGClr', 'luzuk_premium_contactus_section', 'Form BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtpbrdClr1', 'luzuk_premium_contactus_section', 'Form Top Border Color 1', '#0575E6');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtpbrdClr2', 'luzuk_premium_contactus_section', 'Form Top Border Color 2', '#021B79');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbmbrdClr1', 'luzuk_premium_contactus_section', 'Form Bottom Border Color 1', '#0575E6');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbmbrdClr2', 'luzuk_premium_contactus_section', 'Form Bottom Border Color 2', '#021B79');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtitleClr', 'luzuk_premium_contactus_section', 'Form Box Title Color', '#2E8BE9');

addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelColor', 'luzuk_premium_contactus_section', 'Form Label Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtextplaceColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbgClr', 'luzuk_premium_contactus_section', 'Form Text & Placeholder BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formborderbottomColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Border Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnColor', 'luzuk_premium_contactus_section', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnhoverColor', 'luzuk_premium_contactus_section', 'Form Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbgClr', 'luzuk_premium_contactus_section', 'Form Button BG Color 1', '#0575E6');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbgClr2', 'luzuk_premium_contactus_section', 'Form Button BG Color 2', '#021B79');


lzCustomLable($wp_customize, 'luzuk_sec_contbetbxclr', 'luzuk_premium_contactus_section', 'Detail Box ');


$wp_customize->add_setting(
	'luzuk_contdetil',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'get in touch', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contdetil',
	array(
		'settings'      => 'luzuk_contdetil',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Detail Box Title', 'luzuk Premium' )
	)
);

addColorPalatOption($wp_customize, 'luzuk_contactus_DBbxtitleClr', 'luzuk_premium_contactus_section', 'Detail Box Title Color', '#fff');

$wp_customize->add_setting(
	'luzuk_p_title',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Phone : ', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_p_title',
	array(
		'settings'      => 'luzuk_p_title',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone Title', 'luzuk Premium' )
	)
);



$wp_customize->add_setting(
	'luzuk_contactus_phone',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '+123 456 789', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phone',
	array(
		'settings'      => 'luzuk_contactus_phone',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_e_title',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Email : ', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_e_title',
	array(
		'settings'      => 'luzuk_e_title',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_email',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'info@youremailidhere.com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_email',
	array(
		'settings'      => 'luzuk_contactus_email',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'add_title',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Address : ', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'add_title',
	array(
		'settings'      => 'add_title',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Address Tittle', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_address',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Add Address here..', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_address',
	array(
		'settings'      => 'luzuk_contactus_address',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Address', 'luzuk Premium' )
	)
);


// =====

lzCustomLable($wp_customize, 'cont_sicn', 'luzuk_premium_contactus_section' , 'Social Media Setting');

$wp_customize->add_setting(
    'stitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Follow us' )
    )
);
$wp_customize->add_control(
    'stitle',
    array(
        'settings'      => 'stitle',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'text',
        'label'         => __( 'Media Title', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'cont_soctitleclr', 'luzuk_premium_contactus_section', 'Social Media Title Color', '#0575E6');

$wp_customize->add_setting(
    's_txt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'There are many variations of passages of Lorem Ipsum available the majority have suffered' )
    )
);
$wp_customize->add_control(
    's_txt',
    array(
        'settings'      => 's_txt',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'textarea',
        'label'         => __( 'Text', 'Luzuk' )
    )
);


addColorPalatOption($wp_customize, 'cont_soctxtclr', 'luzuk_premium_contactus_section', 'Social Media Text Color', '#fff');

// FACEBOOK 
$wp_customize->add_setting('con_fb', array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('con_fb',
    array(
        'settings'      => 'con_fb',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'luzuk-premium' )
    )
);

//Instagram
$wp_customize->add_setting('con_insta',array('default'=> 'https://www.instagram.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('con_insta',
    array(
        'settings'      => 'con_insta',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'luzuk-premium' )
    )
);

// TWITTER
$wp_customize->add_setting('con_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('con_tw',
    array(
        'settings'      => 'con_tw',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'url',
        'label'         => __( 'Twitter Url', 'luzuk-premium' )
    )
);


//Pinterest
$wp_customize->add_setting('con_prin',array('default'=> 'https://www.pinterest.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('con_prin',
    array(
        'settings'      => 'con_prin',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'url',
        'label'         => __( 'Pinterest Url', 'luzuk-premium' )
    )
);
// =====

lzCustomLable($wp_customize, 'luzuk_sec_contpageclr', 'luzuk_premium_contactus_section', 'Select Color ');

//addColorPalatOption($wp_customize, 'luzuk_contactus_detailstbxbgClr', 'luzuk_premium_contactus_section', 'Icon BG Color', '#76B801');

addColorPalatOption($wp_customize, 'luzuk_contactus_dicnClr', 'luzuk_premium_contactus_section', 'Icon Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemClr', 'luzuk_premium_contactus_section', 'Box Text , Address , Email , Phone No. Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemhvClr', 'luzuk_premium_contactus_section', 'Box Email , Phone No. Hover Color', '#0575E6');

addColorPalatOption($wp_customize, 'luzuk_contactus_sicnbgClr', 'luzuk_premium_contactus_section', 'Social Media Icon Bg Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_sicnClr', 'luzuk_premium_contactus_section', 'Social Media Icon Color', '#021B79');

addColorPalatOption($wp_customize, 'luzuk_contactus_sicnhvClr', 'luzuk_premium_contactus_section', 'Social Media Icon Hover Color', '#0575E6');

$wp_customize->add_setting(
    'cntlhs_image_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);

// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
$wp_customize->add_setting('luzuk_contactus_iframe_lbl', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Heading($wp_customize, 'luzuk_contactus_iframe_lbl',
		array(
			'settings'      => 'luzuk_contactus_iframe_lbl',
			'section'       => 'luzuk_premium_contactus_section',
			'label'         => __( 'Contact Us Address', 'luzuk-premium' ),
		)
	)
);
// field for addeding the map code
$wp_customize->add_setting('luzuk_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add Your Map Embade Code'));
$wp_customize->add_control('luzuk_contactus_embade', array('settings'=>'luzuk_contactus_embade', 'section'=>'luzuk_premium_contactus_section','type'=>'textarea', 'label'=> __('Code For Map', 'luzuk-premium')));
